Bug 1179238 (kf5-kwayland) - Review Request: kf5-kwayland - KDE Frameworks 5 library that wraps Client and Server Wayland libraries
Summary: Review Request: kf5-kwayland - KDE Frameworks 5 library that wraps Client and...
Keywords:
Status: CLOSED RAWHIDE
Alias: kf5-kwayland
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2015-01-06 13:14 UTC by Jan Grulich
Modified: 2015-11-02 01:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 13:43:49 UTC
dvratil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Grulich 2015-01-06 13:14:15 UTC
Spec URL: https://jgrulich.fedorapeople.org/plasma5/kf5-kwayland.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/kf5-kwayland-5.1.2-2.fc21.src.rpm
Description: KDE Frameworks 5 library that wraps Client and Server Wayland libraries 
Fedora Account System Username: jgrulich

Comment 1 Daniel Vrátil 2015-01-16 10:57:47 UTC
- the libwayland dependencies should be versioned, as Wayland 1.3 or newer is required (Wayland in F20 is too old).
- libKF5WaylandServer.so is available in 5.1.95, so it should be uncommented

None of this is blocking though and will be solved during import. APPROVED.

Comment 2 Jan Grulich 2015-01-16 12:22:54 UTC
New Package SCM Request
=======================
Package Name: kf5-kwayland
Short Description: KDE Frameworks 5 library that wraps Client and Server Wayland libraries
Upstream URL: https://projects.kde.org/projects/kde/workspace/kwayland
Owners: group::kde-sig
Branches: f20 f21
InitialCC:

Comment 3 Gwyn Ciesla 2015-01-16 13:13:57 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.